## dde-api 5.5.12

=== debian/changelog ===
dde-api (5.5.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:03:38 +0800
