=== debian/control ===
Source: dde-api
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 11),
 deepin-gettext-tools,
 dh-golang,
 golang-any,
 golang-github-linuxdeepin-go-lib-dev (>> 5.8.4+),
 golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+),
 golang-gir-gobject-2.0-dev (>> 1.2.0+),
 golang-gir-gudev-1.0-dev (>> 1.2.0+),
 golang-github-disintegration-imaging-dev,
 golang-github-fogleman-gg-dev,
 golang-github-gosexy-gettext-dev,
 golang-github-jinzhu-gorm-dev,
 golang-github-linuxdeepin-go-dbus-factory-dev (>> 0.7.0+),
 golang-github-linuxdeepin-go-x11-client-dev (>= 0.0.4),
 golang-github-mattn-go-sqlite3-dev,
 golang-github-nfnt-resize-dev,
 golang-github-rickb777-date-dev,
 golang-github-smartystreets-goconvey-dev,
 golang-github-stretchr-testify-dev,
 golang-gopkg-alecthomas-kingpin.v2-dev,
 golang-gopkg-check.v1-dev,
 libcairo2-dev,
 libcanberra-dev,
 libfreetype6-dev,
 libgdk-pixbuf2.0-dev,
 libgtk-3-dev,
 libpoppler-glib-dev,
 librsvg2-dev,
 libsqlite3-dev,
 libxi-dev,
 systemd,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-api
Architecture: any
Depends:
 adduser,
 alsa-utils,
 bc,
 blur-effect,
 coreutils(>=8.30),
 fontconfig,
 fonts-noto-cjk,
 libcanberra-pulse,
 librsvg2-bin,
 libsqlite3-0,
 locales,
 rfkill,
 ttf-unifont,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Go-lang bingdings for dde-daemon
 DDE API provides some dbus interfaces that is used for screen zone
 detecting, thumbnail generating, sound playing, etc.

Package: dde-api-dev
Architecture: all
Depends:
 golang-github-linuxdeepin-go-lib-dev (>= 1.2.13),
 golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+),
 golang-gir-gobject-2.0-dev (>> 1.2.0+),
 golang-gir-gudev-1.0-dev (>> 1.2.0+),
 golang-github-gosexy-gettext-dev,
 golang-github-linuxdeepin-go-dbus-factory-dev (>> 0.7.0+),
 golang-github-linuxdeepin-go-x11-client-dev (>= 0.0.4),
 golang-gopkg-alecthomas-kingpin.v2-dev,
 libcairo2-dev,
 libcanberra-dev,
 libfreetype6-dev,
 libgdk-pixbuf2.0-dev,
 libgtk-3-dev,
 libpoppler-glib-dev,
 librsvg2-dev,
 libxi-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Go-lang bindings for dde-daemon -- dev file
 DDE API provides some dbus interfaces that is used for screen zone
 detecting, thumbnail generating, sound playing, etc.
