## dde-api 5.5.25

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 PREFIX = /usr
 GOBUILD_DIR = gobuild
-GOPKG_PREFIX = pkg.deepin.io/dde/api
+GOPKG_PREFIX = github.com/linuxdeepin/dde-api
 GOSITE_DIR = ${PREFIX}/share/gocode
 libdir = /lib
 SYSTEMD_LIB_DIR = ${libdir}
 SYSTEMD_SERVICE_DIR = ${SYSTEMD_LIB_DIR}/systemd/system/
 GOBUILD = env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go build
+export GO111MODULE=off
 
 LIBRARIES = \
     thumbnails \
@@ -20,7 +21,8 @@
     language_support \
 	userenv \
 	inhibit_hint \
-    powersupply
+    powersupply	\
+    polkit
 
 BINARIES =  \
     device \
@@ -41,10 +43,8 @@
 all: build-binary build-dev ts-to-policy
 
 prepare:
-	@if [ ! -d ${GOBUILD_DIR}/src/${GOPKG_PREFIX} ]; then \
-		mkdir -p ${GOBUILD_DIR}/src/$(dir ${GOPKG_PREFIX}); \
-		ln -sf ../../../.. ${GOBUILD_DIR}/src/${GOPKG_PREFIX}; \
-	fi
+	@mkdir -p ${GOBUILD_DIR}/src/$(dir ${GOPKG_PREFIX});
+	@ln -snf ../../../.. ${GOBUILD_DIR}/src/${GOPKG_PREFIX};
 
 ts:
 	deepin-policy-ts-convert policy2ts misc/polkit-action/com.deepin.api.locale-helper.policy.in misc/ts/com.deepin.api.locale-helper.policy
@@ -55,7 +55,7 @@
 	deepin-policy-ts-convert ts2policy misc/polkit-action/com.deepin.api.device.unblock-bluetooth-devices.policy.in misc/ts/com.deepin.api.device.unblock-bluetooth-devices.policy misc/polkit-action/com.deepin.api.device.unblock-bluetooth-devices.policy
 
 out/bin/%:
-	${GOBUILD} -o $@  ${GOPKG_PREFIX}/${@F}
+	${GOBUILD} -o $@ ${GOBUILD_OPTIONS} ${GOPKG_PREFIX}/${@F}
 
 # Install go packages
 build-dep:
