## dde-api 5.5.29

=== debian/changelog ===
dde-api (5.5.29-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 16 Aug 2022 09:06:28 +0800
