=== debian/changelog ===
dde-api (5.5.30-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 27 Aug 2022 10:27:21 +0800
