## dde-api 5.5.31

=== huangli-generator/Makefile ===
PROG=huangli_generator

build:
	go build -o ${PROG}

clean:
	rm -f ${PROG}

rebuild: clean build
