=== debian/changelog ===
dde-api (5.5.31-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Sep 2022 13:06:53 +0800

dde-api (3.0.11) unstable; urgency=low

  * update deepin-boot-sound.sh interpreter

 -- lichangze <lichangze@uniontech.com>  Fri, 30 Aug 2022 18:44:23 +0000
