=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --buildsystem=makefile
 
 override_dh_strip:
 	dh_strip --dbgsym-migration=dde-api-dbg
