## dde-api 6.0.12

=== debian/changelog ===
dde-api (6.0.12) unstable; urgency=medium

  * fix: no logout sound (linuxdeepin/developer-center#9370)

 -- zsien <quezhiyong@deepin.org>  Thu, 20 Jun 2024 17:01:04 +0800

dde-api (6.0.11) unstable; urgency=medium

  * feat: support trash and computer scheme(Issue: https://github.com/linuxdeepin/developer-center/issues/8266)

 -- Yixue Wang <wangyixue@deepin.org>  Mon, 06 May 2024 16:53:02 +0800

dde-api (6.0.10) unstable; urgency=medium

  * fix: no shutdown sound

 -- zsien <quezhiyong@deepin.org>  Wed, 27 Mar 2024 14:34:43 +0800

dde-api (6.0.9) unstable; urgency=medium

  * because 6.0.8 is not integrate to deepin, so the important fix is not in,
  * so we think we would better make a new tag
  * commit is : https://github.com/linuxdeepin/dde-api/commit/c39c19c4ffee35a76d46fe9e103f982dc3cecbd6

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 29 Nov 2023 15:32:08 +0800

dde-api (6.0.8) unstable; urgency=medium

  * fix: dde-api error when use old am
  * chore: switch dep from libfreetype6 to freetype

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 27 Nov 2023 09:33:19 +0800

dde-api (6.0.7) unstable; urgency=medium

  * fix: 关机音效存在杂音
  * chore: add gen.go support
  * chore: 统一x11和wayland下移动速度值

 -- dengbo <dengbo@uniontech.com>  Tue, 16 May 2023 10:54:05 +0800

dde-api (6.0.6) unstable; urgency=medium

  [ TagBuilder ]
  * remove install packages of fcitx

 -- chenhongtao <chenhongtao@uniontech.com>  Fri, 31 Mar 2023 14:59:52 +0800

dde-api (6.0.5) unstable; urgency=medium

  [ TagBuilder ]
  * release dde-api 6.0.5

 -- dengbo <dengbo@uniontech.com>  Wed, 29 Mar 2023 16:38:52 +0800

dde-api (6.0.4) unstable; urgency=medium

  [ TagBuilder ]
  * fix: grub2主题配置不生效(Task: 177439)(Influence: grub主题)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 14:59:32 +0800

dde-api (6.0.3) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 接口更变，增加V23接口(Task: 207483)(Influence: 接口更变)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 18:40:51 +0800

dde-api (6.0.2) unstable; urgency=medium

  * release 6.0.2

 -- <lvpeilong@uniontech.com>  Wed, 19 Oct 2022 11:24:27 +0800

dde-api (6.0.1) unstable; urgency=medium

  [ cxr@cxr-PC ]
  * UNRELEASED

 -- caixiangrong <caixiangrong@uniontech.com>  Mon, 25 Jul 2022 14:06:59 +0800

dde-api (6.0.0.1) unstable; urgency=medium

 * 6.0.0.1 Modified go-lib to trigger DDE-API synchronously

 --  <lixi@uniontech.com>  Mon, 25 Jul 2022 07:25:57 +0800

dde-api (6.0.0.0) UNRELEASED; urgency=medium

  * 6.0.0.0 pre-release

 --  <tanfeng@uniontech.com>  Wed, 01 Jun 2022 11:21:57 +0800
