=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  golang-gopkg-check.v1-dev,
  libcairo2-dev,
  libcanberra-dev,
- libfreetype6-dev,
+ libfreetype-dev,
  libgdk-pixbuf2.0-dev,
  libgtk-3-dev,
  libpoppler-glib-dev,
@@ -49,11 +49,9 @@
  fontconfig,
  fonts-noto-cjk,
  libcanberra-pulse,
- librsvg2-bin,
- libsqlite3-0,
  locales,
  rfkill,
- ttf-unifont | fonts-unifont,
+ fonts-unifont,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Go-lang bingdings for dde-daemon
