## dde-api 6.0.13

=== debian/changelog ===
dde-api (6.0.13) unstable; urgency=medium

  * feat: add new grub theme.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 25 Sep 2024 11:15:16 +0800
