## dde-api 6.0.16

=== debian/changelog ===
dde-api (6.0.16) unstable; urgency=medium

  *  fix: ps2触控板有事件上报，但是无法使用 (#128)

 -- fuleyi <fuleyi@uniontech.com>  Thu, 09 Jan 2025 10:09:22 +0800

dde-api (6.0.15) unstable; urgency=medium

  * fix: get 'libinput Accel Profiles Available' failed
  * chore: ignore the error of getLastUser 

 -- zsien <quezhiyong@deepin.org>  Thu, 26 Dec 2024 13:39:45 +0800

dde-api (6.0.14) unstable; urgency=medium

  * feat: add new grub theme (linuxdeepin#122)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 14:42:20 +0800
