=== debian/changelog ===
dde-api (6.0.19) unstable; urgency=medium

  * feat: use `deepin-immutable-ctrl` to wrap and call `locale-gen`

 -- zhangkun <zhangkun2@uniontech.com>  Mon, 23 Jun 2025 21:06:19 +0800

dde-api (6.0.18) unstable; urgency=medium

  * feat: implement keyboard device management (#134)

 -- fuleyi <fuleyi@uniontech.com>  Wed, 04 Jun 2025 15:40:30 +0800

dde-api (6.0.17) unstable; urgency=medium

  * refactor: migrate from deepin-api-device to deepin-daemon user
  * chore: bump version to 6.0.16 (#130)
  * fix: ps2触控板有事件上报，但是无法使用 (#128)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 29 May 2025 11:12:54 +0800
