=== debian/changelog ===
dde-api (6.0.21) unstable; urgency=medium

  * chore: remove huangli and lunar calendar components

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 18 Jul 2025 11:07:14 +0800

dde-api (6.0.20) unstable; urgency=medium

  * fix: remove Install sections from systemd sound services
  * Revert "chore: prohibit the startup and auto start of some services"
  * chore: prohibit the startup and auto start of some services

 -- zhangkun <zhangkun2@uniontech.com>  Wed, 16 Jul 2025 14:23:40 +0800
