=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  golang-gopkg-check.v1-dev,
  libcairo2-dev,
  libcanberra-dev,
- libfreetype-dev,
+ libfreetype-dev | libfreetype6-dev,
  libgdk-pixbuf2.0-dev,
  libgtk-3-dev,
  libpoppler-glib-dev,
