=== debian/changelog ===
dde-api (6.0.29) unstable; urgency=medium

  * feat: 减少构建并发 (#161)
  * fix: Add golang-x-sys dependency for syscall operations (#160)
  * feat: parallel build option for debian packaging (#159)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 10 Oct 2025 15:38:55 +0800

dde-api (6.0.28) unstable; urgency=medium

  * fix: 解决新装镜像创建用户后出现开机音效服务启动失败的问题 (#155)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 26 Sep 2025 09:20:31 +0800

dde-api (6.0.27) unstable; urgency=medium

  * Release 6.0.27

 -- fuleyi <fuleyi@uniontech.com>  Thu, 25 Sep 2025 20:51:52 +0800

dde-api (6.0.26) unstable; urgency=medium

  * Release 6.0.26

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:01:09 +0800

dde-api (6.0.25) unstable; urgency=medium

  * fix: copy background image to avoid re-encoding
  * feat: migrate from gsettings to dconfig for sound settings
  * fix: add audio group permission to login and shutdown sound services
  * fix: add audio group permission to sound theme player service

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 11 Sep 2025 20:57:19 +0800

dde-api (6.0.24) unstable; urgency=medium

  * fix: 解决没有关机音效的问题 (#148)
  * feat: dde-api安全整改 (#146)

 -- fuleyi <fuleyi@uniontech.com>  Thu, 21 Aug 2025 14:12:51 +0800
